#
# spec file for package perl-Text-Diff
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-Diff
Version:        1.45
Release:        1.28
%define cpan_name Text-Diff
Summary:        Perform diffs on files and record sets
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-Diff/
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Algorithm::Diff) >= 1.19
Requires:       perl(Algorithm::Diff) >= 1.19
%{perl_requires}

%description
'diff()' provides a basic set of services akin to the GNU 'diff' utility.
It is not anywhere near as feature complete as GNU 'diff', but it is better
integrated with Perl and available on all platforms. It is often faster
than shelling out to a system's 'diff' executable for small files, and
generally slower on larger files.

Relies on Algorithm::Diff for, well, the algorithm. This may not produce
the same exact diff as a system's local 'diff' executable, but it will be a
valid diff and comprehensible by 'patch'. We haven't seen any differences
between Algorithm::Diff's logic and GNU 'diff''s, but we have not examined
them to make sure they are indeed identical.

*Note*: If you don't want to import the 'diff' function, do one of the
following:

   use Text::Diff ();

   require Text::Diff;

That's a pretty rare occurrence, so 'diff()' is exported by default.

If you pass a filename, but the file can't be read, then 'diff()' will
'croak'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Sat Aug 19 2017 coolo@suse.com
- updated to 1.45
  see /usr/share/doc/packages/perl-Text-Diff/Changes
  1.45 2017-08-16 NEILB
  - Typo fixed in doc. Patch from Lucas Kanashiro++. RT#112564
  - Documentation improvements PR from David Gutteridge++.
* Tue Mar  8 2016 coolo@suse.com
- updated to 1.44
  see /usr/share/doc/packages/perl-Text-Diff/Changes
  1.44 2016-02-26 NEILB
  - Fixed the handling of text without a trailing newline. This module now
    adds the same text that the diff tool does, "
  \ No newline at end of
    file
  ". Previously this module simply produced broken diffs when one or
    both files had no trailing newline. Fixed by Dave Rolsky. GitHub #1.
* Sun Aug 23 2015 coolo@suse.com
- updated to 1.43
  see /usr/share/doc/packages/perl-Text-Diff/Changes
* Tue Jan 10 2012 coolo@suse.com
- regenerate with cpanspec for correct license and source lines
* Sun Apr 17 2011 pascal.bleser@opensuse.org
- update to 1.41:
  * added DIFF_OUTPUT_UNICODE env variable to allow outputting unicode
    characters
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Dec 13 2009 chris@computersalat.de
- cleanup spec
  * fixed header
  * updated desc
  * added LICENSE README to doc
  * moved changelog to .changes
- fixed build-/deps
  * added Data::Dumper
* Mon Jul 27 2009 chris@computersalat.de
- update to 1.37
  * Switching to a production release
  * Switching to a 1.xx version to indicate this
  * Added META.yml file
- 1.36_01 Mon 13 Jul 2009
  * Cleaning this up to pass tests
  * Adding author tests
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Thu Jun 18 2009 chris@computersalat.de
- spec fix for perl-macros
* Thu Jun 18 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
* Fri Jun 12 2009 chris@computersalat.de
- spec mods
  o updated header
  o some defines
  o auto filelist gen to make rpmlint happy
* Tue Sep 18 2007 <jfunk@funktronics.ca>
- Initial release 0.35
